<html>
<head>
    <meta charset='utf-8'>
    <title>Datenbank</title>
    <link rel='stylesheet' href='khsw.css'>
</head>
<body>
<?php // ********** ab hier PHP **********
// Kopfzeile einbinden
include "khsw.php";
// ************************************************************************************************
// POST-Variablen auslesen
// ************************************************************************************************
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    foreach($_POST as $key => $value) {
        $value = trim($value);
        $value = stripslashes($value);
        $value = htmlspecialchars($value);
        $$key=$value;
    }
}
// ************************************************************************************************
// Verbindung zum Server aufbauen, Datenbank, Tabelle auswählen
// persönliche Konfigurationsdaten einbinden
if (!@include "config.inc.php") die("<p>Bitte kopieren Sie Ihre eigene config.inc.php hierher: ".__DIR__.".</p>\n");
// Datenbanknamen und Tabelle festlegen
if (empty($database)) $database=$username."_eurodata";
// Verbindung zum Datenbankserver definieren
$conn = new mysqli($servername, $username, $password);
// Verbindung prüfen
if ($conn->connect_error) { // Abbruch bei Fehler
  die("<p>Verbindung zum Server ".$servername." misslungen: " . $conn->connect_error."<p>\n");
}
$conn->set_charset('utf8'); // Zeichensatz utf-8 für die Verbindung zum Server einstellen
echo "<p>Datenbank: $database</p>";
$sql="USE $database";
if ($conn->query($sql) === TRUE) {
    echo "<p>Verbindung zur Datenbank $database erfolgreich.</p>\n";
} else {
    die("<p>Fehler bei der Verbindung zur Datenbank $database: " . $conn->error."</p>\n");
}
// ************************************************************************************************
// Tabellen anzeigen
    $sql = "SHOW TABLES;";
    $result = $conn->query($sql);
    if ($result->num_rows > 0) { // Es gibt Tabellen: HTML-Tabelle vorbereiten
        echo '<table>';
        echo '<tr><th>Tabelle</th><th>Aktionen</th></tr>';
        // alle Zeilen einzeln ausgeben
        // fetch_array() statt fetch_assoc(), weil die Tabellenüberschrift doof ist
        $row = $result->fetch_array();
        do {
            // Tabellennamen ausgeben
	        $table=$row[0];
            echo "<tr>";
	        echo "<td>".$table."</td>";
	        // Aktionen ausgeben
	        echo "<td>
	        <form action='table.php' method='post'>
	        <input type='hidden' name='table' value='".$table."'>
	        <input type='hidden' name='database' value='".$database."'>
	        <button type='submit'>Anzeigen</button>
	        </form></td>";
	        echo "</tr>\n";
        } while($row = $result->fetch_array());
        echo "</table>\n";
	        echo "<form action='change-database.php' method='post'>
	        <input type='hidden' name='database' value='".$database."'>
	        <button type='submit'>Datenbank wechseln</button>
	        </form>";
    } else {
    echo "<p>Die Datenbank $database ist leer</p>\n";
    }
// ************************************************************************************************
// Verbindung zum Datenbankserver schließen
$conn->close(); // ********** ab hier HTML **********
?> 

</body>
</html> 